NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ShipDesign::PenetrationCutoutBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::PenetrationRequest builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ShipDesign::PenetrationCutoutBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddNonIntersectedStructure (NXOpen::Body *structure)
 Adds nonintersected structures
Created in NX8.5.0. More...
 
NXOpen::ExpressionCornerRadius ()
 Returns the corner radius expression
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType CoutoutType ()
 Returns the coutout type
Created in NX8.0.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter expression
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType DirectionType ()
 Returns the direction type
Created in NX8.0.0. More...
 
NXOpen::ExpressionHeight ()
 Returns the height expression
Created in NX8.0.0. More...
 
NXString HoleSubType ()
 Returns the hole sub-type
Created in NX8.5.0. More...
 
NXString HoleType ()
 Returns the hole type
Created in NX8.5.0. More...
 
NXOpen::DirectionHorizontalDirection ()
 Returns the horizontal direction
Created in NX8.0.0. More...
 
NXOpen::SketchModifiedSketch ()
 Returns the modified sketch
Created in NX8.5.0. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset expression
Created in NX8.0.0. More...
 
NXOpen::DirectionOrientation ()
 Returns the orientation
Created in NX8.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius expression
Created in NX8.0.0. More...
 
void RemoveNonIntersectedStructures ()
 Removes all nonintersected structures
Created in NX8.5.0. More...
 
void SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType)
 Sets the coutout type
Created in NX8.0.0. More...
 
void SetDialogType (NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType dialogType)
 Set the dialog type
Created in NX8.5.0. More...
 
void SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection)
 Sets the direction type
Created in NX8.0.0. More...
 
void SetHoleSubType (const NXString &stringHoleType)
 Sets the hole sub-type
Created in NX8.5.0. More...
 
void SetHoleSubType (const char *stringHoleType)
 Sets the hole sub-type
Created in NX8.5.0. More...
 
void SetHoleType (const NXString &stringHoleType)
 Sets the hole type
Created in NX8.5.0. More...
 
void SetHoleType (const char *stringHoleType)
 Sets the hole type
Created in NX8.5.0. More...
 
void SetHorizontalDirection (NXOpen::Direction *vectorHorizontalDirection)
 Sets the horizontal direction
Created in NX8.0.0. More...
 
void SetModifiedSketch (NXOpen::Sketch *modifiedSketch)
 Sets the modified sketch
Created in NX8.5.0. More...
 
void SetOrientation (NXOpen::Direction *vectorOrientation)
 Sets the orientation
Created in NX8.0.0. More...
 
NXOpen::SectionSketch ()
 Returns the sketch
Created in NX8.0.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the width expression
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::PenetrationRequest builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder
Default values.

Property Value

CornerRadius.Value

0

CoutoutType

Circular

Diameter.Value

0

DirectionType

PerpendiculartoStructure

Height.Value

0

Offset.Value

0

Radius.Value

0

Width.Value

0


Created in NX8.0.0.

Member Function Documentation

void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::AddNonIntersectedStructure ( NXOpen::Body structure)

Adds nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
structurestructure
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::CornerRadius ( )

Returns the corner radius expression
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::CoutoutType ( )

Returns the coutout type
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Diameter ( )

Returns the diameter expression
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::DirectionType ( )

Returns the direction type
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Height ( )

Returns the height expression
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HoleSubType ( )

Returns the hole sub-type
Created in NX8.5.0.



License requirements : None

NXString NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HoleType ( )

Returns the hole type
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HorizontalDirection ( )

Returns the horizontal direction
Created in NX8.0.0.



License requirements : None

NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::ModifiedSketch ( )

Returns the modified sketch
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Offset ( )

Returns the offset expression
Created in NX8.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Orientation ( )

Returns the orientation
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Radius ( )

Returns the radius expression
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::RemoveNonIntersectedStructures ( )

Removes all nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetCoutoutType ( NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType  enumCoutoutType)

Sets the coutout type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumCoutoutTypeenumcoutouttype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetDialogType ( NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType  dialogType)

Set the dialog type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
dialogTypedialogtype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetDirectionType ( NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType  enumDirection)

Sets the direction type
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumDirectionenumdirection
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleSubType ( const NXString stringHoleType)

Sets the hole sub-type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleSubType ( const char *  stringHoleType)

Sets the hole sub-type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleType ( const NXString stringHoleType)

Sets the hole type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleType ( const char *  stringHoleType)

Sets the hole type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
stringHoleTypestringholetype
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHorizontalDirection ( NXOpen::Direction vectorHorizontalDirection)

Sets the horizontal direction
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
vectorHorizontalDirectionvectorhorizontaldirection
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetModifiedSketch ( NXOpen::Sketch modifiedSketch)

Sets the modified sketch
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
modifiedSketchmodifiedsketch
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetOrientation ( NXOpen::Direction vectorOrientation)

Sets the orientation
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
vectorOrientationvectororientation
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Sketch ( )

Returns the sketch
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Width ( )

Returns the width expression
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.